package net.pokeranalytics.android.model.filter.interfaces

import java.util.*

interface TimeFilterable {

    var dayOfWeek : Int?
    var month : Int?
    var year : Int?

    fun updateTimeParameter(startDate: Date?) {
        startDate?.let {
            val cal = Calendar.getInstance()
            cal.time = it
            dayOfWeek = cal.get(Calendar.DAY_OF_WEEK)
            month = cal.get(Calendar.MONTH)
            year = cal.get(Calendar.YEAR)
        }
    }
}